The main Bubble source repository. Contains the Bubble API server, the web UI, documentation and utilities. https://getbubblenow.com
No puede seleccionar más de 25 temas Los temas deben comenzar con una letra o número, pueden incluir guiones ('-') y pueden tener hasta 35 caracteres de largo.
 
 
 
 

54 líneas
1.6 KiB

  1. #!/bin/bash
  2. #
  3. # Copyright (c) 2020 Bubble, Inc. All rights reserved. For personal (non-commercial) use, see license: https://getbubblenow.com/bubble-license/
  4. #
  5. #
  6. # Performs first-time setup after a fresh git clone.
  7. # Installs utility libraries.
  8. #
  9. # Before from running this script, if you want to run the Bubble Server, install dependencies
  10. # with the first_time_ubuntu.sh script. If you're running something other than Ubuntu 18.04,
  11. # please add a first_time_<your-OS>.sh in this directory.
  12. #
  13. # If you're going to run the Bubble Server, you will also need
  14. # Create environment files: ~/.bubble.env and ~/.bubble-test.env (one can be a symlink to the other)
  15. #
  16. # ~/.bubble.env is the environment used by the BubbleServer started by run.sh
  17. # ~/.bubble-test.env is the environment used by the BubbleServer that runs during the integration tests
  18. #
  19. function die {
  20. if [[ -z "${SCRIPT}" ]] ; then
  21. echo 1>&2 "${1}"
  22. else
  23. echo 1>&2 "${SCRIPT}: ${1}"
  24. fi
  25. exit 1
  26. }
  27. BASE=$(cd $(dirname $0)/.. && pwd)
  28. cd ${BASE}
  29. git submodule init || die "Error in git submodule init"
  30. git submodule update || die "Error in git submodule update"
  31. pushd utils/cobbzilla-parent
  32. mvn install || die "Error installing cobbzilla-parent"
  33. popd
  34. UTIL_REPOS="
  35. cobbzilla-parent
  36. cobbzilla-utils
  37. restex
  38. templated-mail-sender
  39. cobbzilla-wizard
  40. abp-parser
  41. "
  42. pushd utils
  43. for repo in ${UTIL_REPOS} ; do
  44. pushd ${repo} && git checkout master && mvn -DskipTests=true -Dcheckstyle.skip=true clean install && popd || die "Error installing ${repo}"
  45. done
  46. popd
  47. INSTALL_WEB=web mvn -DskipTests=true -Dcheckstyle.skip=true clean package || die "Error building bubble jar"